# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_TextStyleForDefinedFont Class Reference

`#include <StepVisual_TextStyleForDefinedFont.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_TextStyleForDefinedFont ()
| Returns a TextStyleForDefinedFont .
virtual Standard_EXPORT void | Init (const Handle(StepVisual_Colour)&aTextColour)
Standard_EXPORT void | SetTextColour (const Handle(StepVisual_Colour)&aTextColour)
Standard_EXPORT Handle_StepVisual_Colour | TextColour () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepVisual_Colour | textColour

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_TextStyleForDefinedFont::StepVisual_TextStyleForDefinedFont | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_TextStyleForDefinedFont::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_TextStyleForDefinedFont::Init | ( | const Handle(StepVisual_Colour)& | aTextColour | ) | `[virtual]`

Standard_EXPORT void StepVisual_TextStyleForDefinedFont::SetTextColour | ( | const Handle(StepVisual_Colour)& | aTextColour | ) |

Standard_EXPORT Handle_StepVisual_Colour StepVisual_TextStyleForDefinedFont::TextColour | ( |  | ) | const

## Field Documentation

Handle_StepVisual_Colour StepVisual_TextStyleForDefinedFont::textColour `[private]`

The documentation for this class was generated from the following file:

- StepVisual_TextStyleForDefinedFont.hxx